gi-pango-1.0.23: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Pango.Objects.Coverage

Contents

- Exported types
- Methods
  - Overloaded methods
  - copy
  - fromBytes
  - get
  - max
  - new
  - ref
  - set
  - toBytes
  - unref

Description

The `Coverage` structure represents a map from Unicode characters to `CoverageLevel`. It is an opaque structure with no public fields.

Synopsis

- newtype Coverage = Coverage (ManagedPtr Coverage)
- class (GObject o, IsDescendantOf Coverage o) => IsCoverage o
- toCoverage :: (MonadIO m, IsCoverage o) => o -> m Coverage
- coverageCopy :: (HasCallStack, MonadIO m, IsCoverage a) => a -> m Coverage
- coverageFromBytes :: (HasCallStack, MonadIO m) => ByteString -> m (Maybe Coverage)
- coverageGet :: (HasCallStack, MonadIO m, IsCoverage a) => a -> Int32 -> m CoverageLevel
- coverageMax :: (HasCallStack, MonadIO m, IsCoverage a, IsCoverage b) => a -> b -> m ()
- coverageNew :: (HasCallStack, MonadIO m) => m Coverage
- coverageRef :: (HasCallStack, MonadIO m, IsCoverage a) => a -> m Coverage
- coverageSet :: (HasCallStack, MonadIO m, IsCoverage a) => a -> Int32 -> CoverageLevel -> m ()
- coverageToBytes :: (HasCallStack, MonadIO m, IsCoverage a) => a -> m ByteString
- coverageUnref :: (HasCallStack, MonadIO m, IsCoverage a) => a -> m ()

# Exported types

newtype Coverage Source #

Memory-managed wrapper type.

Constructors

Coverage (ManagedPtr Coverage) |

#### Instances

Instances details

Eq Coverage Source # |
Instance details Defined in GI.Pango.Objects.Coverage Methods (==) :: Coverage -> Coverage -> Bool # (/=) :: Coverage -> Coverage -> Bool #
GObject Coverage Source # |
Instance details Defined in GI.Pango.Objects.Coverage
TypedObject Coverage Source # |
Instance details Defined in GI.Pango.Objects.Coverage Methods glibType :: IO GType Source #
ManagedPtrNewtype Coverage Source # |
Instance details Defined in GI.Pango.Objects.Coverage Methods toManagedPtr :: Coverage -> ManagedPtr Coverage Source #
IsGValue Coverage Source # | Convert `Coverage` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Pango.Objects.Coverage Methods toGValue :: Coverage -> IO GValue Source # fromGValue :: GValue -> IO Coverage Source #
HasParentTypes Coverage Source # |
Instance details Defined in GI.Pango.Objects.Coverage
type ParentTypes Coverage Source # |
Instance details Defined in GI.Pango.Objects.Coverage type ParentTypes Coverage = '[Object]

class (GObject o, IsDescendantOf Coverage o) => IsCoverage o Source #

Type class for types which can be safely cast to `Coverage`, for instance with `toCoverage`.

#### Instances

Instances details

(GObject o, IsDescendantOf Coverage o) => IsCoverage o Source # |
Instance details Defined in GI.Pango.Objects.Coverage

toCoverage :: (MonadIO m, IsCoverage o) => o -> m Coverage Source #

Cast to `Coverage`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## copy

coverageCopy Source #

Arguments

:: (HasCallStack, MonadIO m, IsCoverage a) |
=> a | `coverage`: a `Coverage`
-> m Coverage | Returns: the newly allocated `Coverage`, with a reference count of one, which should be freed with `coverageUnref`.

Copy an existing `Coverage`. (This function may now be unnecessary since we refcount the structure. File a bug if you use it.)

## fromBytes

coverageFromBytes Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ByteString | `bytes`: binary data representing a `Coverage`
-> m (Maybe Coverage) | Returns: a newly allocated `Coverage`, or `Nothing` if the data was invalid.

Deprecated: (Since version 1.44)This returns `Nothing`

Convert data generated from `coverageToBytes` back to a `Coverage`

## get

coverageGet Source #

Arguments

:: (HasCallStack, MonadIO m, IsCoverage a) |
=> a | `coverage`: a `Coverage`
-> Int32 | `index_`: the index to check
-> m CoverageLevel | Returns: the coverage level of `coverage` for character `index_`.

Determine whether a particular index is covered by `coverage`

## max

coverageMax Source #

Arguments

:: (HasCallStack, MonadIO m, IsCoverage a, IsCoverage b) |
=> a | `coverage`: a `Coverage`
-> b | `other`: another `Coverage`
-> m () |

Deprecated: (Since version 1.44)This function does nothing

Set the coverage for each index in `coverage` to be the max (better) value of the current coverage for the index and the coverage for the corresponding index in `other`.

## new

coverageNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Coverage | Returns: the newly allocated `Coverage`, initialized to `CoverageLevelNone` with a reference count of one, which should be freed with `coverageUnref`.

Create a new `Coverage`

## ref

coverageRef Source #

Arguments

:: (HasCallStack, MonadIO m, IsCoverage a) |
=> a | `coverage`: a `Coverage`
-> m Coverage | Returns: `coverage`

Increase the reference count on the `Coverage` by one

## set

coverageSet Source #

Arguments

:: (HasCallStack, MonadIO m, IsCoverage a) |
=> a | `coverage`: a `Coverage`
-> Int32 | `index_`: the index to modify
-> CoverageLevel | `level`: the new level for `index_`
-> m () |

Modify a particular index within `coverage`

## toBytes

coverageToBytes Source #

Arguments

:: (HasCallStack, MonadIO m, IsCoverage a) |
=> a | `coverage`: a `Coverage`
-> m ByteString |

Deprecated: (Since version 1.44)This returns `Nothing`

Convert a `Coverage` structure into a flat binary format

## unref

coverageUnref Source #

Arguments

:: (HasCallStack, MonadIO m, IsCoverage a) |
=> a | `coverage`: a `Coverage`
-> m () |

Decrease the reference count on the `Coverage` by one. If the result is zero, free the coverage and all associated memory.